# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    bin_name = glob.glob("BRL-CAD_*_win64.exe")[0]
    version = control.get_software_version()

    # Installing the software
    install_exe_if_needed(bin_name, silentflags="/allusers /S", key=f"BRL-CAD {version} win64", min_version=control.get_software_version())

    version = control.get_software_version()

    remove_programs_menu_shortcut("BRL-CAD")

    create_programs_menu_shortcut("BRL CAD", target=makepath(programfiles, f"BRL-CAD {version}", "bin", "mged.exe"))
